Package org.kie.internal.pmml

## Class PMMLImplementationsUtil

- java.lang.Object
- - org.kie.internal.pmml.PMMLImplementationsUtil

-     public class PMMLImplementationsUtil
      extends Object

  Class used to provide utility methods to manage implementation to be invoked at runtime

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PMMLImplementationsUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static org.kie.api.pmml.PMMLConstants` | `getFromClassPath​(boolean isLegacyPresent, boolean isTrustyPresent)` |
    `protected static org.kie.api.pmml.PMMLConstants` | `getFromPropertyAndClasspath​(org.kie.api.pmml.PMMLConstants pmmlConstants, boolean isLegacyPresent, boolean isTrustyPresent)` |
    `protected static org.kie.api.pmml.PMMLConstants` | `getPMMLConstants​(boolean isLegacyPresent, boolean isTrustyPresent)` |
    `static boolean` | `isjPMMLAvailableToClassLoader​(ClassLoader classLoader)` |
    `protected static org.kie.api.pmml.PMMLConstants` | `returnImplementation​(org.kie.api.pmml.PMMLConstants toReturn, boolean isPresent)` |
    `static org.kie.api.pmml.PMMLConstants` | `toEnable​(ClassLoader classLoader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PMMLImplementationsUtil

          public PMMLImplementationsUtil()

  - ### Method Detail

    - #### toEnable

          public static org.kie.api.pmml.PMMLConstants toEnable​(ClassLoader classLoader)

      Parameters:
        `classLoader` -
      Returns:
        the PMML implementation to enable

    - #### getPMMLConstants

          protected static org.kie.api.pmml.PMMLConstants getPMMLConstants​(boolean isLegacyPresent,
                                                                           boolean isTrustyPresent)

    - #### getFromPropertyAndClasspath

          protected static org.kie.api.pmml.PMMLConstants getFromPropertyAndClasspath​(org.kie.api.pmml.PMMLConstants pmmlConstants,
                                                                                      boolean isLegacyPresent,
                                                                                      boolean isTrustyPresent)

    - #### getFromClassPath

          protected static org.kie.api.pmml.PMMLConstants getFromClassPath​(boolean isLegacyPresent,
                                                                           boolean isTrustyPresent)

    - #### returnImplementation

          protected static org.kie.api.pmml.PMMLConstants returnImplementation​(org.kie.api.pmml.PMMLConstants toReturn,
                                                                               boolean isPresent)

    - #### isjPMMLAvailableToClassLoader

          public static boolean isjPMMLAvailableToClassLoader​(ClassLoader classLoader)

      Parameters:
        `classLoader` -
      Returns:
        `true` if org.kie.dmn.jpmml.DMNjPMMLInvocationEvaluator is found in the given `ClassLoader`, `false` otherwise